Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1727392

Summary: dump output is sometimes wrong and misleading
Product: [Fedora] Fedora Reporter: Ray Holme <rayholme>
Component: dumpAssignee: Jeff Makey <jeff>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 32CC: jridky, phracek, vonsch
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: dump-0.4-0.46.b47.fc32 dump-0.4-0.46.b47.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-17 05:08:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Ray Holme 2019-07-05 20:29:57 UTC
Description of problem: Dump emits erroneous output.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. run dump using on any filesystem using "-A somefilename.toc"
2. I also use the "-L" and "-z2" switches but doubt that has anything to do
3. the requested TOC file is generated but so is the following message to the console - NOT the middle line is wrong about the NULL:
  DUMP: Wrote 15833450kB uncompressed, 5657014kB compressed, 2.799:1
  DUMP: Archiving dump to (null)
  DUMP: DUMP IS DONE

Actual results: Archive works fine - toc file made and OK


Expected results:  Middle liine should be

 DUMP: Archiving dump to whateverfilename.Igave


Additional info: While nothing is truly wrong, the information posted makes you suspect there is a problem.

Comment 1 Fedora Admin XMLRPC Client 2020-02-17 16:32:13 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Fedora Admin XMLRPC Client 2020-03-18 04:31:06 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Ben Cotton 2020-04-30 20:20:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-03 17:12:44 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ray Holme 2020-11-03 21:36:15 UTC
Still the same bug in 5.8.16-200.fc32.x86_64.

Comment 6 Fedora Update System 2021-02-10 03:35:47 UTC
FEDORA-2021-7d627951a0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7d627951a0

Comment 7 Fedora Update System 2021-02-10 03:38:04 UTC
FEDORA-2021-2583417b8d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2583417b8d

Comment 8 Fedora Update System 2021-02-17 05:08:56 UTC
FEDORA-2021-7d627951a0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-02-17 05:09:02 UTC
FEDORA-2021-2583417b8d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Ray Holme 2021-02-24 14:13:13 UTC
It appears to be fixed. Thanks.